<?php

namespace Mine\SeekerBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;

class GameController extends Controller
{
    public function indexAction()
    {
        return $this->render('MineSeekerBundle:Game:index.html.twig');
    }

    public function playAction(Request $request)
    {
        return $this->render('MineSeekerBundle:Game:play.html.twig', array(
            'env' => $this->container->getParameter('kernel.environment'),
            'ssl' => $request->isSecure() ? 'true' : 'false'
        ));
    }

    public function privacyAction()
    {
        return $this->render('MineSeekerBundle:Official:privacy.html.twig');
    }

    public function termsAction()
    {
        return $this->render('MineSeekerBundle:Official:terms.html.twig');
    }

    public function contactAction()
    {
        return $this->render('MineSeekerBundle:Official:contact.html.twig');
    }

    public function landingAction()
    {
        return $this->render('MineSeekerBundle:Official:landing.html.twig');
    }
}
